# Get against locationId

This operation is used to retrived Inbound Site against the location.

Endpoint: POST /api/v1/location/inboundsites
Version: 1.0.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Response 200:

  - `200` (unknown)
    Successful response

## Response 200 fields (application/json):

  - `inboundSiteId` (string)
    A unique identifier assigned to the inbound site.
    Example: xy277mD9Plbl

  - `name` (string)
    The name of the inbound site.
    Example: Gandhi Nagar

  - `type` (string)
    The type of the inbound site that is Site, Building, Floor, Mailstop.
    Example: site

  - `locationId` (string)
    The unique identifier of the location associated with the inbound site.
    Example: M0K9QbNMgob

  - `locationHierarchy` (string)
    The hierarchical structure of the inbound site's location (e.g., Site > Building > Floor > Mailstop).
    Example: Gandhi Nagar

  - `status` (string)
    The current status of the inbound site, such as ACTIVE or INACTIVE.
    Example: ACTIVE

  - `defaultSite` (boolean)
    Indicates whether this inbound site is the default site in the system.
    Example: false

## Response 400:

  - `400` (unknown)
    Invalid request.

## Response 400 fields (application/json):

  - `errors` (array)
    List of errors.

  - `errors.errorCode` (string)
    This error can be validation_error or internal_error or not_found or already_exists
    Example: validation_error

  - `errors.errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: Asset not found.

  - `errors.additionalCode` (string)
    A unique identifier for the error
    Example: 020005

  - `errors.additionalInfo` (string)
    additional information of the error.
    Example: additional information

  - `errors.additionalParameters` (string)
    The field(s) that might be incorrect in the request.
    Example: additional parameters

  - `errors.correlationID` (string)
    Example: correlationId

## Response 401:

  - `401` (unknown)
    The request could not be authorized.

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, that indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.

## Response 500:

  - `500` (unknown)
    The request could not be completed due to an internal error.

